Sheet
Date: 2019-10-22

org.jmol.modelsetbio

## Class Sheet

- java.lang.Object
- - org.jmol.modelsetbio.ProteinStructure
  - - org.jmol.modelsetbio.Sheet

- All Implemented Interfaces:
    Structure

      public class Sheet
      extends ProteinStructure

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) javajs.util.V3` | `heightUnitVector`
    `(package private) javajs.util.V3` | `widthUnitVector`

    - ### Fields inherited from class org.jmol.modelsetbio.ProteinStructure

      `apolymer, axisA, axisB, axisUnitVector, monomerIndexFirst, monomerIndexLast, nRes, serialID, strandCount, strucNo, structureID, subtype, type, vectorProjection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sheet(AlphaPolymer apolymer, int monomerIndex, int monomerCount, STR subtype)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calcAxis()`
    `(package private) void` | `calcSheetUnitVectors()`
    `private boolean` | `notHelixOrSheet(int i)`
    `void` | `setBox(float w, float h, javajs.util.P3 pt, javajs.util.V3 vW, javajs.util.V3 vH, javajs.util.P3 ptC, float scale)`

    - ### Methods inherited from class org.jmol.modelsetbio.ProteinStructure

      `addMonomer, findMonomer, getAxisEndPoint, getAxisStartPoint, getIndex, getSegments, getStructureMidPoint, isWithin, removeMonomer, resetAxes, setAtomBits, setAtomBitsAndClear, setupPS`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### widthUnitVector

          javajs.util.V3 widthUnitVector

    - #### heightUnitVector

          javajs.util.V3 heightUnitVector

  - ### Constructor Detail

    - #### Sheet

          Sheet(AlphaPolymer apolymer,
                int monomerIndex,
                int monomerCount,
                STR subtype)

      Parameters:
        `apolymer` -
        `monomerIndex` -
        `monomerCount` -
        `subtype` -

  - ### Method Detail

    - #### calcAxis

          public void calcAxis()

      Overrides:
        `calcAxis` in class `ProteinStructure`

    - #### notHelixOrSheet

          private boolean notHelixOrSheet(int i)

    - #### calcSheetUnitVectors

          void calcSheetUnitVectors()

    - #### setBox

          public void setBox(float w,
                             float h,
                             javajs.util.P3 pt,
                             javajs.util.V3 vW,
                             javajs.util.V3 vH,
                             javajs.util.P3 ptC,
                             float scale)